Index: uspace/app/nav/test/panel.c
===================================================================
--- uspace/app/nav/test/panel.c	(revision 1eb0fafe02730740cb438fdf317673266420d48b)
+++ uspace/app/nav/test/panel.c	(revision fa792e804873bc31ad5aca800b4fa93aa7e9df55)
@@ -73,5 +73,5 @@
 	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
 
-	rc = panel_entry_append(panel, "a", 1);
+	rc = panel_entry_append(panel, "a", 1, false);
 	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
 
@@ -324,10 +324,10 @@
 	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
 
-	rc = panel_entry_append(panel, "a", 1);
+	rc = panel_entry_append(panel, "a", 1, false);
 	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
 
 	PCUT_ASSERT_INT_EQUALS(1, list_count(&panel->entries));
 
-	rc = panel_entry_append(panel, "b", 2);
+	rc = panel_entry_append(panel, "b", 2, false);
 	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
 
@@ -347,8 +347,8 @@
 	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
 
-	rc = panel_entry_append(panel, "a", 1);
-	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
-
-	rc = panel_entry_append(panel, "b", 2);
+	rc = panel_entry_append(panel, "a", 1, false);
+	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
+
+	rc = panel_entry_append(panel, "b", 2, false);
 	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
 
@@ -377,8 +377,8 @@
 	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
 
-	rc = panel_entry_append(panel, "a", 1);
-	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
-
-	rc = panel_entry_append(panel, "b", 2);
+	rc = panel_entry_append(panel, "a", 1, false);
+	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
+
+	rc = panel_entry_append(panel, "b", 2, false);
 	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
 
@@ -456,11 +456,11 @@
 	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
 
-	rc = panel_entry_append(panel, "b", 1);
-	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
-
-	rc = panel_entry_append(panel, "c", 3);
-	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
-
-	rc = panel_entry_append(panel, "a", 2);
+	rc = panel_entry_append(panel, "b", 1, false);
+	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
+
+	rc = panel_entry_append(panel, "c", 3, false);
+	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
+
+	rc = panel_entry_append(panel, "a", 2, false);
 	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
 
@@ -494,8 +494,8 @@
 	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
 
-	rc = panel_entry_append(panel, "a", 2);
-	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
-
-	rc = panel_entry_append(panel, "b", 1);
+	rc = panel_entry_append(panel, "a", 2, false);
+	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
+
+	rc = panel_entry_append(panel, "b", 1, false);
 	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
 
@@ -534,5 +534,5 @@
 
 	/* Add one entry */
-	rc = panel_entry_append(panel, "a", 1);
+	rc = panel_entry_append(panel, "a", 1, false);
 	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
 
@@ -544,5 +544,5 @@
 
 	/* Add another entry */
-	rc = panel_entry_append(panel, "b", 2);
+	rc = panel_entry_append(panel, "b", 2, false);
 	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
 
@@ -570,5 +570,5 @@
 
 	/* Add one entry */
-	rc = panel_entry_append(panel, "a", 1);
+	rc = panel_entry_append(panel, "a", 1, false);
 	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
 
@@ -580,5 +580,5 @@
 
 	/* Add another entry */
-	rc = panel_entry_append(panel, "b", 2);
+	rc = panel_entry_append(panel, "b", 2, false);
 	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
 
@@ -603,5 +603,5 @@
 
 	/* Add one entry */
-	rc = panel_entry_append(panel, "a", 1);
+	rc = panel_entry_append(panel, "a", 1, false);
 	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
 
@@ -614,5 +614,5 @@
 
 	/* Add another entry */
-	rc = panel_entry_append(panel, "b", 2);
+	rc = panel_entry_append(panel, "b", 2, false);
 	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
 
@@ -640,5 +640,5 @@
 
 	/* Add one entry */
-	rc = panel_entry_append(panel, "a", 1);
+	rc = panel_entry_append(panel, "a", 1, false);
 	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
 
@@ -651,5 +651,5 @@
 
 	/* Add another entry */
-	rc = panel_entry_append(panel, "b", 2);
+	rc = panel_entry_append(panel, "b", 2, false);
 	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
 
@@ -702,11 +702,11 @@
 
 	/* Add tree entries (more than page size, which is 2) */
-	rc = panel_entry_append(panel, "a", 1);
-	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
-
-	rc = panel_entry_append(panel, "b", 2);
-	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
-
-	rc = panel_entry_append(panel, "c", 3);
+	rc = panel_entry_append(panel, "a", 1, false);
+	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
+
+	rc = panel_entry_append(panel, "b", 2, false);
+	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
+
+	rc = panel_entry_append(panel, "c", 3, false);
 	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
 
@@ -783,11 +783,11 @@
 
 	/* Add tree entries (more than page size, which is 2) */
-	rc = panel_entry_append(panel, "a", 1);
-	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
-
-	rc = panel_entry_append(panel, "b", 2);
-	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
-
-	rc = panel_entry_append(panel, "c", 3);
+	rc = panel_entry_append(panel, "a", 1, false);
+	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
+
+	rc = panel_entry_append(panel, "b", 2, false);
+	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
+
+	rc = panel_entry_append(panel, "c", 3, false);
 	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
 
@@ -866,11 +866,11 @@
 
 	/* Add tree entries (more than page size, which is 2) */
-	rc = panel_entry_append(panel, "a", 1);
-	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
-
-	rc = panel_entry_append(panel, "b", 2);
-	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
-
-	rc = panel_entry_append(panel, "c", 3);
+	rc = panel_entry_append(panel, "a", 1, false);
+	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
+
+	rc = panel_entry_append(panel, "b", 2, false);
+	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
+
+	rc = panel_entry_append(panel, "c", 3, false);
 	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
 
@@ -927,11 +927,11 @@
 
 	/* Add tree entries (more than page size, which is 2) */
-	rc = panel_entry_append(panel, "a", 1);
-	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
-
-	rc = panel_entry_append(panel, "b", 2);
-	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
-
-	rc = panel_entry_append(panel, "c", 3);
+	rc = panel_entry_append(panel, "a", 1, false);
+	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
+
+	rc = panel_entry_append(panel, "b", 2, false);
+	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
+
+	rc = panel_entry_append(panel, "c", 3, false);
 	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
 
@@ -989,17 +989,17 @@
 
 	/* Add five entries (2 full pages, one partial) */
-	rc = panel_entry_append(panel, "a", 1);
-	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
-
-	rc = panel_entry_append(panel, "b", 2);
-	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
-
-	rc = panel_entry_append(panel, "c", 3);
-	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
-
-	rc = panel_entry_append(panel, "d", 4);
-	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
-
-	rc = panel_entry_append(panel, "e", 5);
+	rc = panel_entry_append(panel, "a", 1, false);
+	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
+
+	rc = panel_entry_append(panel, "b", 2, false);
+	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
+
+	rc = panel_entry_append(panel, "c", 3, false);
+	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
+
+	rc = panel_entry_append(panel, "d", 4, false);
+	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
+
+	rc = panel_entry_append(panel, "e", 5, false);
 	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
 
@@ -1077,17 +1077,17 @@
 
 	/* Add five entries (2 full pages, one partial) */
-	rc = panel_entry_append(panel, "a", 1);
-	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
-
-	rc = panel_entry_append(panel, "b", 2);
-	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
-
-	rc = panel_entry_append(panel, "c", 3);
-	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
-
-	rc = panel_entry_append(panel, "d", 4);
-	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
-
-	rc = panel_entry_append(panel, "e", 5);
+	rc = panel_entry_append(panel, "a", 1, false);
+	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
+
+	rc = panel_entry_append(panel, "b", 2, false);
+	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
+
+	rc = panel_entry_append(panel, "c", 3, false);
+	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
+
+	rc = panel_entry_append(panel, "d", 4, false);
+	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
+
+	rc = panel_entry_append(panel, "e", 5, false);
 	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
 
